import React from 'react';
import { SocialIconSvg, SocialIconG, SocialIconPath } from './Button';
import { IntroLinkIconSvg, IntroLinkIconG, IntroLinkIconPath } from './Intro';

export const FacebookIcon = () => {
  return (
    <SocialIconSvg>
      <SocialIconG>
        <SocialIconPath d="M 9.800781 5.566406 L 9.800781 4.101562 C 9.800781 3.882812 9.808594 3.710938 9.832031 3.589844 C 9.851562 3.472656 9.898438 3.351562 9.96875 3.234375 C 10.042969 3.117188 10.160156 3.039062 10.320312 2.992188 C 10.480469 2.949219 10.695312 2.925781 10.964844 2.925781 L 12.429688 2.925781 L 12.429688 0 L 10.089844 0 C 8.734375 0 7.761719 0.320312 7.171875 0.964844 C 6.582031 1.605469 6.285156 2.550781 6.285156 3.800781 L 6.285156 5.566406 L 4.535156 5.566406 L 4.535156 8.492188 L 6.285156 8.492188 L 6.285156 16.980469 L 9.800781 16.980469 L 9.800781 8.492188 L 12.140625 8.492188 L 12.449219 5.566406 Z M 9.800781 5.566406" />
      </SocialIconG>
    </SocialIconSvg>
  );
};

export const GoogleIcon = () => {
  return (
    <SocialIconSvg>
      <SocialIconG>
        <SocialIconPath d="M 5.3125 7.4375 L 5.3125 9.5625 L 8.316406 9.5625 C 7.878906 10.800781 6.699219 11.6875 5.3125 11.6875 C 3.554688 11.6875 2.125 10.257812 2.125 8.5 C 2.125 6.742188 3.554688 5.3125 5.3125 5.3125 C 6.074219 5.3125 6.808594 5.585938 7.375 6.082031 L 8.773438 4.480469 C 7.816406 3.648438 6.589844 3.1875 5.3125 3.1875 C 2.382812 3.1875 0 5.570312 0 8.5 C 0 11.429688 2.382812 13.8125 5.3125 13.8125 C 8.242188 13.8125 10.625 11.429688 10.625 8.5 L 10.625 7.4375 Z M 5.3125 7.4375" />
      </SocialIconG>
    </SocialIconSvg>
  );
};

export const EmailIcon = () => {
  return (
    <SocialIconSvg>
      <SocialIconG>
        <SocialIconPath d="M 16.542969 2.265625 C 16.246094 1.96875 15.886719 1.820312 15.472656 1.820312 L 1.515625 1.820312 C 1.101562 1.820312 0.742188 1.96875 0.445312 2.265625 C 0.148438 2.5625 0 2.917969 0 3.335938 L 0 13.652344 C 0 14.066406 0.148438 14.425781 0.445312 14.722656 C 0.742188 15.019531 1.101562 15.167969 1.515625 15.167969 L 15.472656 15.167969 C 15.886719 15.167969 16.246094 15.019531 16.542969 14.722656 C 16.839844 14.425781 16.988281 14.066406 16.988281 13.652344 L 16.988281 3.335938 C 16.988281 2.917969 16.839844 2.5625 16.542969 2.265625 Z M 15.773438 13.652344 C 15.773438 13.734375 15.742188 13.804688 15.683594 13.863281 C 15.625 13.925781 15.554688 13.953125 15.472656 13.953125 L 1.515625 13.953125 C 1.433594 13.953125 1.363281 13.925781 1.304688 13.863281 C 1.242188 13.804688 1.214844 13.734375 1.214844 13.652344 L 1.214844 6.371094 C 1.414062 6.597656 1.632812 6.804688 1.867188 6.996094 C 3.5625 8.296875 4.90625 9.367188 5.90625 10.199219 C 6.226562 10.472656 6.492188 10.683594 6.691406 10.835938 C 6.894531 10.988281 7.167969 11.140625 7.511719 11.296875 C 7.855469 11.449219 8.179688 11.527344 8.484375 11.527344 L 8.503906 11.527344 C 8.804688 11.527344 9.128906 11.449219 9.476562 11.296875 C 9.820312 11.140625 10.09375 10.988281 10.296875 10.835938 C 10.496094 10.683594 10.757812 10.472656 11.082031 10.199219 C 12.082031 9.367188 13.425781 8.296875 15.121094 6.996094 C 15.355469 6.804688 15.570312 6.597656 15.773438 6.371094 Z M 15.773438 3.582031 L 15.773438 3.6875 C 15.773438 4.058594 15.628906 4.476562 15.332031 4.933594 C 15.039062 5.390625 14.722656 5.757812 14.378906 6.027344 C 13.160156 6.988281 11.894531 7.992188 10.578125 9.035156 C 10.542969 9.066406 10.429688 9.160156 10.246094 9.3125 C 10.0625 9.46875 9.917969 9.585938 9.8125 9.667969 C 9.703125 9.75 9.5625 9.851562 9.390625 9.96875 C 9.214844 10.085938 9.054688 10.171875 8.910156 10.226562 C 8.765625 10.285156 8.628906 10.3125 8.503906 10.3125 L 8.484375 10.3125 C 8.359375 10.3125 8.222656 10.285156 8.078125 10.226562 C 7.929688 10.171875 7.773438 10.085938 7.597656 9.96875 C 7.425781 9.851562 7.285156 9.75 7.175781 9.667969 C 7.070312 9.585938 6.921875 9.46875 6.742188 9.3125 C 6.558594 9.160156 6.445312 9.066406 6.410156 9.035156 C 5.09375 7.992188 3.828125 6.988281 2.605469 6.027344 C 1.679688 5.296875 1.214844 4.398438 1.214844 3.335938 C 1.214844 3.253906 1.242188 3.183594 1.304688 3.125 C 1.363281 3.0625 1.433594 3.035156 1.515625 3.035156 L 15.472656 3.035156 C 15.519531 3.0625 15.566406 3.070312 15.605469 3.058594 C 15.640625 3.042969 15.671875 3.066406 15.6875 3.128906 C 15.707031 3.1875 15.726562 3.214844 15.742188 3.214844 C 15.757812 3.210938 15.765625 3.25 15.769531 3.332031 C 15.773438 3.414062 15.773438 3.457031 15.773438 3.457031 Z M 15.773438 3.582031" />
      </SocialIconG>
    </SocialIconSvg>
  );
};

export const IntroLinkIcon = () => {
  return (
    <IntroLinkIconSvg>
      <IntroLinkIconG>
        <IntroLinkIconPath d="M 12.285156 9.144531 L 11.714844 9.144531 C 11.628906 9.144531 11.5625 9.167969 11.507812 9.222656 C 11.457031 9.277344 11.429688 9.34375 11.429688 9.429688 L 11.429688 12.285156 C 11.429688 12.679688 11.289062 13.015625 11.007812 13.292969 C 10.730469 13.574219 10.394531 13.714844 10 13.714844 L 2.570312 13.714844 C 2.179688 13.714844 1.84375 13.574219 1.5625 13.292969 C 1.28125 13.015625 1.144531 12.679688 1.144531 12.285156 L 1.144531 4.855469 C 1.144531 4.464844 1.28125 4.128906 1.5625 3.847656 C 1.84375 3.566406 2.179688 3.429688 2.570312 3.429688 L 8.855469 3.429688 C 8.941406 3.429688 9.007812 3.402344 9.0625 3.347656 C 9.117188 3.292969 9.144531 3.226562 9.144531 3.144531 L 9.144531 2.570312 C 9.144531 2.488281 9.117188 2.417969 9.0625 2.367188 C 9.007812 2.3125 8.941406 2.285156 8.855469 2.285156 L 2.570312 2.285156 C 1.863281 2.285156 1.257812 2.539062 0.753906 3.039062 C 0.25 3.542969 0 4.148438 0 4.855469 L 0 12.285156 C 0 12.992188 0.25 13.601562 0.753906 14.101562 C 1.257812 14.605469 1.863281 14.855469 2.570312 14.855469 L 10 14.855469 C 10.707031 14.855469 11.3125 14.605469 11.816406 14.101562 C 12.320312 13.601562 12.570312 12.992188 12.570312 12.285156 L 12.570312 9.429688 C 12.570312 9.34375 12.542969 9.277344 12.492188 9.222656 C 12.4375 9.167969 12.367188 9.144531 12.285156 9.144531 Z M 12.285156 9.144531" />
        <IntroLinkIconPath d="M 15.832031 1.3125 C 15.71875 1.199219 15.582031 1.144531 15.429688 1.144531 L 10.855469 1.144531 C 10.703125 1.144531 10.566406 1.199219 10.457031 1.3125 C 10.34375 1.425781 10.285156 1.558594 10.285156 1.714844 C 10.285156 1.867188 10.34375 2.003906 10.457031 2.117188 L 12.027344 3.6875 L 6.207031 9.507812 C 6.144531 9.570312 6.117188 9.636719 6.117188 9.714844 C 6.117188 9.792969 6.144531 9.859375 6.207031 9.917969 L 7.222656 10.9375 C 7.28125 10.996094 7.351562 11.027344 7.429688 11.027344 C 7.507812 11.027344 7.574219 10.996094 7.632812 10.9375 L 13.457031 5.117188 L 15.027344 6.6875 C 15.140625 6.800781 15.273438 6.855469 15.429688 6.855469 C 15.582031 6.855469 15.71875 6.800781 15.832031 6.6875 C 15.945312 6.574219 16 6.441406 16 6.285156 L 16 1.714844 C 16 1.558594 15.941406 1.425781 15.832031 1.3125 Z M 15.832031 1.3125" />
      </IntroLinkIconG>
    </IntroLinkIconSvg>
  );
};
